#
# spec file for package sysfsutils (Version 1.3.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sysfsutils
Summary:        System Utilities Package / Libsysfs
Version:        1.3.0
Release:        16.2
License:        LGPL
Group:          System/Libraries
URL:            http://linux-diag.sourceforge.net
Source:         http://aleron.dl.sourceforge.net/sourceforge/linux-diag/%{name}-%{version}.tar.gz
Provides:       libsysfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs, a virtual filesystem in Linux kernel versions 2.5+ that
provides a tree of system devices. While a filesystem is a very useful
interface, we've decided to provide a stable programming interface that
will hopefully make it easier for applications to query system devices
and their attributes.



Authors:
--------
    Ananth Mavinakayanahalli <ananth@in.ibm.com>
    Daniel Stekloff <dsteklof@us.ibm.com>

%debug_package
%prep
%setup

%build
CFLAGS="-fPIC $RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--libdir=/%{_lib} \
	--mandir=%{_mandir} 
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_bindir}/testlibsysfs
# move development libs to /usr
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/libsysfs.*a %{buildroot}%{_libdir}
# adjust libtool path
sed -e "s:libdir='/%{_lib}':libdir='%{_libdir}':" -i %{buildroot}/%{_libdir}/libsysfs.la
libname=`objdump -p %{buildroot}/%{_lib}/libsysfs.so | awk '{ if(/SONAME.*libsysfs/) print $2 }'`
# just checking
[ -f %{buildroot}/%{_lib}/$libname ] || exit 1
ln -s /%{_lib}/$libname %{buildroot}%{_libdir}/libsysfs.so
rm -f %{buildroot}/%{_lib}/libsysfs.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/include/sysfs
%{_libdir}/libsysfs*
/%{_lib}/libsysfs*
%doc %{_mandir}/man1/systool.1.gz

%changelog -n sysfsutils
* Thu Mar 09 2006 - hare@suse.de
- Do not install testlibsysfs (#149981 - LTC21580)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - hmacht@suse.de
- also substitude libtool path in *.la file when moving libraries
  (bug #141161)
* Fri Jun 24 2005 - snwint@suse.de
- move shared libs to /lib
* Fri Jun 10 2005 - hare@suse.de
- initial release 1.3.0; split off from udev rpm.
